@import '../../../../style/variables';

:host {
  display: flex;
  flex-direction: column;
  height: 100%;

  .mat-sidenav-container {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  .mat-sidenav {
    min-width: 16rem;

    .mat-toolbar {
      padding: 0 .5rem;
    }
  }

  .mat-sidenav-content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  .mat-toolbar {
    $size: 4rem;
    height: $size;
    min-height: $size;
    justify-content: space-between;
    align-items: center;
    transition: height 500ms, min-height 500ms;
    overflow: hidden;

    &.hide {
      height: 0;
      min-height: 0;
    }
    &.show {
      height: $size;
      min-height: $size;
    }

    img {
      height: 1.5rem;
    }
  }

  ::ng-deep {
    [app-layout-content] {
      flex-grow: 1;
      overflow-y: auto;
      padding: 0 1rem;
    }
  }
}
